package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.dto.OrderFlowExampleDto;
import com.sd.business.entity.order.dto.OrderFlowExampleSelectDto;
import com.sd.business.entity.order.vo.OrderFlowExampleVo;
import com.sd.business.service.order.OrderFlowExampleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 订单流程 关联 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-14
 */
@RestController
@RequestMapping("/orderFlowExample")
public class OrderFlowExampleController {

    @Autowired
    private OrderFlowExampleService orderFlowExampleService;

    /**
     * 订单流程 关联分页
     */
    @PostMapping("/page")
    public Page<OrderFlowExampleVo> page(@RequestBody OrderFlowExampleSelectDto dto) {
        return orderFlowExampleService.getPage(dto);
    }

    /**
     * 订单流程 关联明细
     */
    @PostMapping("/detail")
    public OrderFlowExampleVo detail(@RequestBody BaseSelectDto dto) {
        return orderFlowExampleService.detail(dto.getId());
    }

    /**
     * 订单流程 关联新增
     */
    @PostMapping("/add")
    public void add(@RequestBody OrderFlowExampleDto dto) {
        orderFlowExampleService.add(dto);
    }

    /**
     * 订单流程 关联编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody OrderFlowExampleDto dto) {
        orderFlowExampleService.edit(dto);
    }

    /**
     * 订单流程 关联删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        orderFlowExampleService.delete(dto.getId());
    }

}
